package com.gic.haoban.manage.api.dto.qdto.hm;

import java.io.Serializable;
import java.util.Date;

public class WxUserAddLogQDTO implements Serializable{

    private static final long serialVersionUID = 6498410171325260068L;
    
    private String wxEnterpriseId;
    private String enterpriseId;
    private String memberId;
    private String unionid;
    private Long linkId;
    private Long hmId;
    // 是否好友删除导购
    private boolean delClerkFlag;
    private boolean delFlag;
    private String externalUserid;
    private String staffId;
    private String staffName;
    private String clerkId;
    private Integer addWay ;
    private Long qwAddTime ;
    private String friendClerkId ;
    private String friendStoreId ;
    // 0手动 1系统
    private int delType ;
    // 删除时是否单向好友 1是0否
    private int delIsSingle ;

    // 删除客户的操作来源，DELETE_BY_TRANSFER表示此客户是因在职继承自动被转接成员删除
    private int deleteByTransfer = 0 ;

    public int getDeleteByTransfer() {
        return deleteByTransfer;
    }

    public void setDeleteByTransfer(int deleteByTransfer) {
        this.deleteByTransfer = deleteByTransfer;
    }

    public int getDelIsSingle() {
        return delIsSingle;
    }

    public void setDelIsSingle(int delIsSingle) {
        this.delIsSingle = delIsSingle;
    }


    public int getDelType() {
        return delType;
    }

    public void setDelType(int delType) {
        this.delType = delType;
    }

    public String getFriendClerkId() {
        return friendClerkId;
    }

    public void setFriendClerkId(String friendClerkId) {
        this.friendClerkId = friendClerkId;
    }

    public String getFriendStoreId() {
        return friendStoreId;
    }

    public void setFriendStoreId(String friendStoreId) {
        this.friendStoreId = friendStoreId;
    }

    public Long getQwAddTime() {
        return qwAddTime;
    }

    public void setQwAddTime(Long qwAddTime) {
        this.qwAddTime = qwAddTime;
    }

    public Integer getAddWay() {
        return addWay;
    }

    public void setAddWay(Integer addWay) {
        this.addWay = addWay;
    }

    public boolean isDelClerkFlag() {
        return delClerkFlag;
    }

    public void setDelClerkFlag(boolean delClerkFlag) {
        this.delClerkFlag = delClerkFlag;
    }

    public String getWxEnterpriseId() {
        return wxEnterpriseId;
    }

    public String getEnterpriseId() {
        return enterpriseId;
    }

    public String getMemberId() {
        return memberId;
    }

    public String getUnionid() {
        return unionid;
    }

    public Long getLinkId() {
        return linkId;
    }

    public Long getHmId() {
        return hmId;
    }

    public boolean isDelFlag() {
        return delFlag;
    }

    public String getExternalUserid() {
        return externalUserid;
    }

    public String getStaffId() {
        return staffId;
    }

    public String getStaffName() {
        return staffName;
    }

    public void setWxEnterpriseId(String wxEnterpriseId) {
        this.wxEnterpriseId = wxEnterpriseId;
    }

    public void setEnterpriseId(String enterpriseId) {
        this.enterpriseId = enterpriseId;
    }

    public void setMemberId(String memberId) {
        this.memberId = memberId;
    }

    public void setUnionid(String unionid) {
        this.unionid = unionid;
    }

    public void setLinkId(Long linkId) {
        this.linkId = linkId;
    }

    public void setHmId(Long hmId) {
        this.hmId = hmId;
    }

    public void setDelFlag(boolean delFlag) {
        this.delFlag = delFlag;
    }

    public void setExternalUserid(String externalUserid) {
        this.externalUserid = externalUserid;
    }

    public void setStaffId(String staffId) {
        this.staffId = staffId;
    }

    public void setStaffName(String staffName) {
        this.staffName = staffName;
    }

    public String getClerkId() {
        return clerkId;
    }

    public void setClerkId(String clerkId) {
        this.clerkId = clerkId;
    }
}
